%define ver_major 1.10
%def_disable static

Name: libgsf
Version: %ver_major.1
Release: alt1.M30.1

Summary: GNOME Structured file library
License: GPL
Group: System/Libraries
Url: http://www.gnome.org/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch1: libgsf_CVE-2006-4514.patch

# Automatically added by buildreq on Mon Sep 13 2004
BuildRequires: ORBit2-devel bzlib-devel docbook-dtds docbook-style-xsl gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gtk-doc libbonobo2-devel libGConf2-devel libgpg-error libpopt-devel libstdc++-devel libxml2-devel pkgconfig xml-common xsltproc zlib-devel

%description
GNOME Structured file library

%package devel
Summary: Libraries and include files for gsf
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gsf.

%package devel-static
Summary: Static gsf libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package provides the necessary development libraries to allow you
to build programs staticallly linked against libgsf.

%package gnome
Summary: GNOME Structured file library
Group: System/Libraries

%description gnome
GNOME Structured file library with Bonobo and Gnome-vfs support.

%package gnome-devel
Summary: Libraries and include files for gsf
Group: Development/C
Requires: %name-gnome = %version-%release

%description gnome-devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gsf with Bonobo and
Gnome-vfs support.

%package gnome-devel-static
Summary: Static gsf libraries
Group: Development/C
Requires: %name-gnome-devel = %version-%release

%description gnome-devel-static
This package provides the necessary development libraries to allow you
to build programs staticallly linked against libgsf with Bonobo and
Gnome-vfs support.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q
%patch1 -p1

%build
%configure \
    --with-gnome \
    --enable-gtk-doc \
    %{subst_enable static}

%make_build

%install
%makeinstall

%__mkdir_p %buildroot%_gtk_docdir/%name
%__cp doc/html/* %buildroot%_gtk_docdir/%name/

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post gnome -p %post_ldconfig
%postun gnome -p %postun_ldconfig

%files
%_libdir/%name-1.so.*
%doc AUTHORS README TODO NEWS ChangeLog

%files devel
%dir %_includedir/%name-1
%_includedir/%name-1/gsf
%_libdir/%name-1.so
%_libdir/pkgconfig/%name-1.pc
%doc doc/html

%if_enabled static
%files devel-static
%_libdir/%name-1.a
%endif

%files gnome
%_libdir/%name-gnome-1.so.*
%doc AUTHORS README TODO NEWS ChangeLog

%files gnome-devel
%_includedir/%name-1/gsf-gnome
%_libdir/%name-gnome-1.so
%_libdir/pkgconfig/%name-gnome-1.pc
%doc %_gtk_docdir/*

%if_enabled static
%files gnome-devel-static
%_libdir/%name-gnome-1.a
%endif

%changelog
* Thu Jan 11 2007 Michael Shigorin <mike@altlinux.org> 1.10.1-alt1.M30.1
- security fix for CVE-2006-4514: a heap based buffer overflow
  was identified in certain OLE documents; patch taken from
  RHSA-2007:0011-3

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.10.1-alt1
- 1.10.1

* Mon May 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.9.1-alt1
- 1.9.1

* Wed May 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt1
- 1.9.0

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.2-alt3
- do not package .la files.
- do not build devel-static subpackages by default.

* Thu Oct 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.2-alt2
- libgsf-gnome{,-devel{,-static}} subpackages.

* Sun Sep 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.2-alt1
- 1.8.2

* Sat Jun 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.1-alt1
- 1.8.1

* Mon May 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.8.0-alt1
- 1.8.0

* Sun Feb 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.7.2-alt1
- new version.

* Thu Oct 03 2002 AEN <aen@altlinux.ru> 1.4.0-alt1
- first build for Sisyphus

